{
  "custom": {
    "historicalTags": false
  },
  "params": {
    "engUnitsOut": "",
    "tagPathIn": "",
    "tagPathOut": "MQTT Tags/PLC 1/Example Tag",
    "titleIn": "",
    "titleOut": ""
  },
  "propConfig": {
    "custom.historicalTags": {
      "persistent": true
    },
    "params.engUnitsOut": {
      "binding": {
        "config": {
          "path": "view.params.tagPathOut"
        },
        "transforms": [
          {
            "code": "\ttry:\n\t\ttags \u003d system.tag.getConfiguration(value)\n\t\t \n\t\tunits \u003d \u0027\u0027\n\t\tfor tagDict in tags:\n\t\t\tif tagDict.has_key(\u0027engUnit\u0027):\n\t\t\t\tunits \u003d  tagDict[\u0027engUnit\u0027]\n\tfinally:\n\t\treturn units",
            "type": "script"
          }
        ],
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.tagPathIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.tagPathOut": {
      "binding": {
        "config": {
          "path": "/root/TagBrowseTree.props.selection.values[0]"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.titleIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.titleOut": {
      "binding": {
        "config": {
          "path": "/root/FlexContainer/TextField.props.text"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 455,
      "width": 527
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "TextField"
            },
            "position": {
              "basis": "527px",
              "grow": 1
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.titleIn"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "placeholder": "Enter Title"
            },
            "type": "ia.input.text-field"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "50px"
        },
        "props": {
          "style": {
            "margin": 10
          }
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "TagBrowseTree"
        },
        "position": {
          "basis": "400px"
        },
        "props": {
          "selection": {
            "mode": "single",
            "values": [
              "MQTT Tags/PLC 1/Example Tag"
            ]
          }
        },
        "type": "ia.display.tag-browse-tree"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}